## dune-typetree 2.3.1

=== CMakeLists.txt ===
# set up project
project("dune-typetree" C CXX)

# general stuff
cmake_minimum_required(VERSION 2.8.6)

# guess dune-common build dir
if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

# we need the module file to be able to build via dunecontrol
set(EXTRA_DIST
  dune.module
  GPL-2
  GPL-3
  LGPL-3
  RELEASE_NOTES)

# don't follow the full GNU-standard
# we need automake 1.5
set(AUTOMAKE_OPTIONS  foreign 1.5)

# All subdirectories that must (or can) be handled before the library is built
set(SUBDIRS
  doc
  dune
  m4)
# The library subdirectory itself
list(APPEND SUBDIRS lib)
# All subdirectories that must (or can) be handled after the library is built
# none yet...
list(APPEND SUBDIRS test)

# pass most important options when "make distcheck" is used
set(DISTCHECK_CONFIGURE_FLAGS  --with-dune=${DUNEROOT} CXX="${CXX}" CXXFLAGS="${CXXFLAGS}" CC="${CC}")

# include not needed for CMake
# include $(top_srcdir)/am/top-rules
# include not needed for CMake
# include $(top_srcdir)/am/global-rules

foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt "EXCLUDE_FROM_ALL")
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

add_subdirectory(cmake/modules)

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== doc/CMakeLists.txt ===
set(SUBDIRS  doxygen)

# setting like in dune-web
set(BASEDIR ..)
set(CURDIR doc)


foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt EXCLUDE_FROM_ALL)
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

=== dune/CMakeLists.txt ===
set(dunedir  ${CMAKE_INSTALL_INCLUDEDIR}/dune)
set(SUBDIRS  typetree)

set(dune_HEADERS
  )

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt EXCLUDE_FROM_ALL)
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

=== test/CMakeLists.txt ===
#defined empty so we can add to it later
set(MOSTLYCLEANFILES)

set(noinst_HEADERS
  typetreetargetnodes.hh
  typetreetestswitch.hh
  typetreetestutility.hh)


set(noinst_SCRIPTS
  make_pvd.sh)

exclude_from_headercheck(
  typetreetargetnodes.hh
  typetreetestswitch.hh
  typetreetestutility.hh)

# scripts are not distributed automatically
# but since this is need for make all:
set(EXTRA_DIST  make_pvd.sh)

list(APPEND TESTS testtypetree testtypetree_no_sfinae testtypetree_no_variadic testtypetree_no_rvalue_refs testtypetree_legacy)
add_executable(testtypetree testtypetree.cc)
set_property(TARGET testtypetree APPEND PROPERTY COMPILE_DEFINITIONS TEST_TYPETREE)

add_executable(testtypetree_no_sfinae testtypetree.cc)
set_property(TARGET testtypetree_no_sfinae
  APPEND PROPERTY
  COMPILE_DEFINITIONS TEST_TYPETREE_NO_SFINAE)

add_executable(testtypetree_no_variadic testtypetree.cc)
set_property(TARGET testtypetree_no_variadic APPEND PROPERTY
  COMPILE_DEFINITIONS TEST_TYPETREE_NO_VARIADIC)

add_executable(testtypetree_no_rvalue_refs testtypetree.cc)
set_property(TARGET testtypetree_no_rvalue_refs APPEND PROPERTY
  COMPILE_DEFINITIONS TEST_TYPETREE_NO_RVALUE_REFERENCES)

add_executable(testtypetree_legacy testtypetree.cc)
set_property(TARGET testtypetree_legacy APPEND PROPERTY
  COMPILE_DEFINITIONS TEST_TYPETREE_LEGACY)

list(APPEND TESTS testtypetreetransformation)
add_executable(testtypetreetransformation testtypetreetransformation.cc)
set_property(TARGET testtypetreetransformation APPEND PROPERTY
  COMPILE_DEFINITIONS TEST_TYPETREE)

list(APPEND TESTS testfilteredcompositenode)
add_executable(testfilteredcompositenode testfilteredcompositenode.cc)
set_property(TARGET testfilteredcompositenode APPEND PROPERTY
  COMPILE_DEFINITIONS TEST_TYPETREE)

list(APPEND TESTS testproxynode)
add_executable(testproxynode testproxynode.cc)
set_property(TARGET testproxynode APPEND PROPERTY
  COMPILE_DEFINITIONS TEST_TYPETREE)

foreach(_test ${TESTS})
  add_test(${_test} ${_test})
  target_link_libraries(${_test} dunetypetree ${DUNE_LIBS})
endforeach()

# We do not want want to build the tests during make all
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${TESTS})

=== doc/doxygen/CMakeLists.txt ===
# setting like in dune-web
set(BASEDIR ../..)
set(CURDIR doc/doxygen)
set(WHAT )

set(doxygen_DATA  ${WHAT})

#we need this in the distribution
set(EXTRA_DIST  ${WHAT} ${DOXYGENDISTFILES})

# include not needed for CMake
# include $(top_srcdir)/am/doxygen
# include not needed for CMake
# include $(top_srcdir)/am/global-rules

# file to clean only in svn and not in tarball tree
set(SVNCLEANFILES  html ${WHAT} ${DOXYGENHEADER})


# Create and install doxygen documentation
add_doxygen_target()

=== dune/typetree/CMakeLists.txt ===
set(typetreedir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/typetree)

set(typetree_HEADERS
  accumulate_static.hh
  applytochildrensingletree.hh
  applytochildrentreepair.hh
  childextraction.hh
  compositenode.hh
  compositenodemacros.hh
  exceptions.hh
  filteredcompositenode.hh
  filters.hh
  fixedcapacitystack.hh
  generictransformationdescriptors.hh
  leafnode.hh
  nodeinterface.hh
  nodetags.hh
  pairtraversal.hh
  powercompositenodetransformationtemplates.hh
  powernode.hh
  proxynode.hh
  simpletransformationdescriptors.hh
  transformation.hh
  transformationutilities.hh
  traversal.hh
  traversalutilities.hh
  treepath.hh
  typetraits.hh
  typetree.hh
  utility.hh
  variadiccompositenode.hh
  visitor.hh)


dune_add_library(dunetypetree
  utility.cc
  ADD_LIBS ${DUNE_LIBS})

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

install(FILES ${typetree_HEADERS} DESTINATION ${typetreedir})

=== debian/changelog ===
dune-typetree (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Change shared library package name to libdune-typetree-2.3.1.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 25 Jun 2014 20:06:36 +0200

dune-typetree (2.3.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Change shared library package name to libdune-typetree-2.3.1rc1.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 20 Jun 2014 19:40:00 +0200

dune-typetree (2.3~20140129g62aabcd-2) experimental; urgency=medium

  * Merge changes from 2.3~20140114g9c2e89d-1.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 12:00:53 +0100

dune-typetree (2.3~20140129g62aabcd-1) experimental; urgency=medium

  * New upstream snapshot.
  * Install CMake support files.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 11:47:05 +0100

dune-typetree (2.3~20140114g9c2e89d-1) experimental; urgency=medium

  * New upstream snapshot.
  * libdune-typetree-dev.install: Install /usr/lib/*/cmake and
    /usr/share/dune-typetree.
  * Bump (Build-)Depends on libdune-common-dev to >= 2.3~20140117beta2.
    am/cmake-pkg-config was introduced in that version.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 23 Jan 2014 11:31:09 +0100

dune-typetree (2.3~20140110gbcc5483-1) experimental; urgency=medium

  * Initial release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 11 Jan 2014 17:19:37 +0100

=== debian/control ===
Source: dune-typetree
Section: libs
Priority: optional
Standards-Version: 3.9.5
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-typetree.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-typetree.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 libdune-common-dev (>= 2.3.1)
Build-Depends-Indep: doxygen, ghostscript, texlive-latex-recommended, pgf

Package: libdune-typetree-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libdune-typetree-2.3.1 (= ${binary:Version}),
 libdune-common-dev (>= 2.3.1)
Description: toolbox for solving PDEs -- typed tree template library (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the typed tree template
 library.

Package: libdune-typetree-2.3.1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: toolbox for solving PDEs -- typed tree template library (library)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the library for the typed tree template library.

Package: libdune-typetree-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- typed tree template library (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the typed tree template
 library.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --parallel

override_dh_auto_install-arch:
	set -e; for d in cmake dune lib m4; do \
	  $(MAKE) -C $$d install DESTDIR="$(CURDIR)/debian/tmp"; \
	done
	$(MAKE) install-data-am install-exec-am DESTDIR="$(CURDIR)/debian/tmp"
	mkdir doc/doxygen/html
	$(MAKE) -C doc/doxygen install-data-am DESTDIR="$(CURDIR)/debian/tmp"

override_dh_auto_install-indep:
	$(MAKE) -C doc install DESTDIR="$(CURDIR)/debian/tmp"

## dune-typetree 2.4~20150925ge663ffa

=== test/CMakeLists.txt ===
exclude_from_headercheck(
  typetreetargetnodes.hh
  typetreetestswitch.hh
  typetreetestutility.hh)

set(TESTS "")

list(APPEND TESTS testtypetree)
add_executable(testtypetree EXCLUDE_FROM_ALL testtypetree.cc)
set_property(TARGET testtypetree
  APPEND PROPERTY
  COMPILE_DEFINITIONS TEST_TYPETREE)

list(APPEND TESTS testtypetreetransformation)
add_executable(testtypetreetransformation EXCLUDE_FROM_ALL testtypetreetransformation.cc)
set_property(TARGET testtypetreetransformation
  APPEND PROPERTY
  COMPILE_DEFINITIONS TEST_TYPETREE)

list(APPEND TESTS testfilteredcompositenode)
add_executable(testfilteredcompositenode EXCLUDE_FROM_ALL testfilteredcompositenode.cc)
set_property(TARGET testfilteredcompositenode
  APPEND PROPERTY
  COMPILE_DEFINITIONS TEST_TYPETREE)

list(APPEND TESTS testproxynode)
add_executable(testproxynode EXCLUDE_FROM_ALL testproxynode.cc)
set_property(TARGET testproxynode
  APPEND PROPERTY
  COMPILE_DEFINITIONS TEST_TYPETREE)

foreach(_test ${TESTS})
  add_test(${_test} ${_test})
  target_link_libraries(${_test} dunetypetree ${DUNE_LIBS})
endforeach()

# We do not want want to build the tests during make all
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${TESTS})

=== debian/changelog ===
dune-typetree (2.4~20150925ge663ffa-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop patch introduced in the last upload (applied upstream).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 26 Sep 2015 00:39:49 +0200

dune-typetree (2.4~20150908g46779ad-2) unstable; urgency=medium

  * dune-typetree.pc.in: no longer link with -ldunetypetree
    + new patch: 0001-dune-typetree.pc.in-no-longer-link-with-ldunetypetre.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 15:29:41 +0200

dune-typetree (2.4~20150908g46779ad-1) unstable; urgency=medium

  * New upstream snapshot.
  * dune-typetree no longer builds a shared library and is now a pure
    header library. Switch libdune-typetree-dev to arch:all.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 14:45:53 +0200

dune-typetree (2.4~20150723g7b9a720-1) experimental; urgency=medium

  * New upstream snapshot.
  * Move shared library into -dev package and provide a virtual package
    that changes with the upstream version for shlib dependencies. See
    also https://lists.debian.org/debian-devel/2015/07/msg00115.html
  * libdune-typetree-dev: Add -doc package as a suggested package.
  * Add Build-Depends-Indep: graphviz for "dot".
  * Bumped Standards-Version to 3.9.6 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 06 Sep 2015 14:51:56 +0200

=== debian/control ===
Source: dune-typetree
Section: libs
Priority: optional
Standards-Version: 3.9.6
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-typetree.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-typetree.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 libdune-common-dev (>= 2.4.0)
Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-recommended, pgf

Package: libdune-typetree-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends},
 libdune-common-dev (>= 2.4.0)
Suggests: libdune-typetree-doc (= ${source:Version})
Description: toolbox for solving PDEs -- typed tree template library (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the typed tree template
 library.

Package: libdune-typetree-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- typed tree template library (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the typed tree template
 library.

## dune-typetree 2.4.1

=== CMakeLists.txt ===
# set up project
project("dune-typetree" C CXX)

# general stuff
cmake_minimum_required(VERSION 2.8.6)

if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

add_subdirectory(cmake/modules)
add_subdirectory(doc)
add_subdirectory(dune)
add_subdirectory(m4)
add_subdirectory(test)

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== m4/CMakeLists.txt ===
install(PROGRAMS
  cxx11_decltype.m4
  cxx11_template_aliases.m4
  dune-typetree.m4
  gcc___typeof__.m4
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune/aclocal/)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 foreach(_test ${TESTS})
   add_test(${_test} ${_test})
-  target_link_libraries(${_test} dunetypetree ${DUNE_LIBS})
+  target_link_libraries(${_test} ${DUNE_LIBS})
 endforeach()
 
 # We do not want want to build the tests during make all

=== cmake/modules/CMakeLists.txt ===
set(modules
  DuneTypetreeMacros.cmake
  FindCXXDecltype.cmake
  FindCXXTemplateAliases.cmake
  FindGCCTypeof.cmake
)

install(FILES ${modules} DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== dune/typetree/CMakeLists.txt ===
install(FILES
  accumulate_static.hh
  applytochildrensingletree.hh
  applytochildrentreepair.hh
  childextraction.hh
  compositenode.hh
  exceptions.hh
  filteredcompositenode.hh
  filters.hh
  fixedcapacitystack.hh
  generictransformationdescriptors.hh
  leafnode.hh
  nodeinterface.hh
  nodetags.hh
  pairtraversal.hh
  powercompositenodetransformationtemplates.hh
  powernode.hh
  proxynode.hh
  simpletransformationdescriptors.hh
  transformation.hh
  transformationutilities.hh
  traversal.hh
  traversalutilities.hh
  treepath.hh
  typetraits.hh
  typetree.hh
  utility.hh
  visitor.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/typetree)

=== debian/changelog ===
dune-typetree (2.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 10 Mar 2016 09:21:05 +0100

dune-typetree (2.4.1~rc1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 29 Feb 2016 15:04:42 +0100

dune-typetree (2.4.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last dune-common upload.
  * Mark packages as Multi-Arch: foreign.
  * debian/control: Update Vcs-* fields.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 28 Feb 2016 15:45:57 +0100

dune-typetree (2.4.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 21 Jan 2016 11:05:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,20 @@
 Standards-Version: 3.9.6
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-typetree.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-typetree.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-typetree.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-typetree.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.4.0)
+ libdune-common-dev (>= 2.4.1)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-recommended, pgf
 
 Package: libdune-typetree-dev
 Section: libdevel
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.4.0)
+ libdune-common-dev (>= 2.4.1)
 Suggests: libdune-typetree-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- typed tree template library (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -30,6 +31,7 @@
 Package: libdune-typetree-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: toolbox for solving PDEs -- typed tree template library (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-typetree 2.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,6 @@
 add_subdirectory(cmake/modules)
 add_subdirectory(doc)
 add_subdirectory(dune)
-add_subdirectory(m4)
 add_subdirectory(test)
 
 # finalize the dune project, e.g. generating config.h etc.

=== doc/CMakeLists.txt ===
add_subdirectory(doxygen)

=== test/CMakeLists.txt ===
exclude_from_headercheck(
  typetreetargetnodes.hh
  typetreetestswitch.hh
  typetreetestutility.hh)

dune_add_test(SOURCES testtypetree.cc
              COMPILE_DEFINITIONS TEST_TYPETREE)

foreach(TEST_FAILURE 2 3 5 6)
  dune_add_test(NAME testtypetree_fail${TEST_FAILURE}
                SOURCES testtypetree.cc
                COMPILE_DEFINITIONS TEST_TYPETREE;FAILURE${TEST_FAILURE}
                EXPECT_COMPILE_FAIL)
endforeach()

dune_add_test(SOURCES testtypetreetransformation.cc
              COMPILE_DEFINITIONS TEST_TYPETREE)

dune_add_test(SOURCES testfilteredcompositenode.cc
              COMPILE_DEFINITIONS TEST_TYPETREE)

dune_add_test(SOURCES testproxynode.cc
              COMPILE_DEFINITIONS TEST_TYPETREE)

=== debian/changelog ===
dune-typetree (2.5.0-2) unstable; urgency=medium

  * Build-Depend on texlive-pictures instead of pgf. (Closes: #867082)
  * debian/copyright: Update URLs.
  * Bumped Standards-Version to 4.0.0 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 18 Jul 2017 12:29:28 +0200

dune-typetree (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 18 Dec 2016 13:47:53 +0100

dune-typetree (2.5.0~rc2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 05 Dec 2016 23:49:21 +0100

dune-typetree (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Switch to CMake.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 21 Nov 2016 21:11:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: dune-typetree
 Section: libs
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-typetree.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-typetree.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
- automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.4.1)
-Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-recommended, pgf
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.5.1)
+Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
 
 Package: libdune-typetree-dev
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.4.1)
+ libdune-common-dev (>= 2.5.1)
 Suggests: libdune-typetree-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- typed tree template library (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-typetree 2.6~20180215

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("dune-typetree" C CXX)
 
 # general stuff
-cmake_minimum_required(VERSION 2.8.6)
+cmake_minimum_required(VERSION 3.1.0)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
         "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,5 @@
 
 dune_add_test(SOURCES testproxynode.cc
               COMPILE_DEFINITIONS TEST_TYPETREE)
+
+dune_add_test(SOURCES testcallbacktraversal.cc)

=== debian/changelog ===
dune-typetree (2.6~20180215-1build1) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:25:24 +0000

dune-typetree (2.6~20180215-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/control: now requires cmake >= 3.1
  * Bumped Standards-Version to 4.1.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Apr 2018 08:39:18 +0200

dune-typetree (2.6~20171113-1) experimental; urgency=medium

  * New upstream snapshot.
  * libdune-typetree-doc: add Built-Using: doxygen (for jquery.js)
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 14 Nov 2017 09:25:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: dune-typetree
 Section: libs
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-typetree.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-typetree.git
+Vcs-Browser: https://salsa.debian.org/science-team/dune-typetree
+Vcs-Git: https://salsa.debian.org/science-team/dune-typetree.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
- cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.5.1)
+ cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.6.0)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
+Rules-Requires-Root: no
 
 Package: libdune-typetree-dev
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.5.1)
+ libdune-common-dev (>= 2.6.0)
 Suggests: libdune-typetree-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- typed tree template library (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -33,6 +34,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Built-Using: ${dune:doc:Built-Using}
 Description: toolbox for solving PDEs -- typed tree template library (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.

## dune-typetree 2.7.1~20200605

=== debian/changelog ===
dune-typetree (2.7.1~20200605-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Wed, 15 Jul 2020 12:39:16 +0200

dune-typetree (2.7.1~20200605-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Ansgar <ansgar@debian.org>  Wed, 10 Jun 2020 14:28:09 +0200

dune-typetree (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Use debhelper compat level 13.
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Wed, 20 May 2020 23:07:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: dune-typetree
 Section: libs
 Priority: optional
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
+Uploaders: Ansgar <ansgar@debian.org>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-typetree
 Vcs-Git: https://salsa.debian.org/science-team/dune-typetree.git
-Homepage: http://www.dune-project.org/
-Build-Depends: debhelper (>= 9),
+Homepage: https://www.dune-project.org/
+Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.6.0)
+ libdune-common-dev (>= 2.7.0)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -18,7 +18,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.6.0)
+ libdune-common-dev (>= 2.7.0)
 Suggests: libdune-typetree-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- typed tree template library (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-typetree 2.7.1

=== dune/typetree/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 install(FILES
   accumulate_static.hh
-  applytochildrensingletree.hh
-  applytochildrentreepair.hh
   childextraction.hh
   compositenode.hh
   exceptions.hh
@@ -21,6 +19,7 @@
   transformationutilities.hh
   traversal.hh
   traversalutilities.hh
+  treecontainer.hh
   treepath.hh
   typetraits.hh
   typetree.hh

=== debian/changelog ===
dune-typetree (2.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Mon, 11 Jan 2021 22:33:14 +0100

dune-typetree (2.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- Lisa Julia Nebel <lisa_julia.nebel@tu-dresden.de>  Thu, 07 Jan 2021 11:00:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.7.0)
+ libdune-common-dev (>= 2.7.1)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -18,7 +18,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.7.0)
+ libdune-common-dev (>= 2.7.1)
 Suggests: libdune-typetree-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- typed tree template library (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-typetree 2.8.0

=== debian/changelog ===
dune-typetree (2.8.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 21 Oct 2021 18:41:52 +0200

dune-typetree (2.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Set Architecture to "any"

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 08 Oct 2021 13:41:10 +0200

dune-typetree (2.8.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Updated copyright holders from upsteam.

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Mon, 23 Aug 2021 14:53:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,17 @@
 Vcs-Git: https://salsa.debian.org/science-team/dune-typetree.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.7.1)
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.8.0)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
 Package: libdune-typetree-dev
 Section: libdevel
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.7.1)
+ libdune-common-dev (>= 2.8.0)
 Suggests: libdune-typetree-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- typed tree template library (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-typetree 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,6 @@
 # start a dune project with information from dune.module
 dune_project()
 
-add_subdirectory(cmake/modules)
 add_subdirectory(doc)
 add_subdirectory(dune)
 add_subdirectory(test)

=== dune/CMakeLists.txt ===
add_subdirectory(typetree)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -23,3 +23,7 @@
               COMPILE_DEFINITIONS TEST_TYPETREE)
 
 dune_add_test(SOURCES testcallbacktraversal.cc)
+
+dune_add_test(SOURCES testhybridtreepath.cc)
+
+dune_add_test(SOURCES testtreecontainer.cc)

=== dune/typetree/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
   accumulate_static.hh
   childextraction.hh
   compositenode.hh
+  dynamicpowernode.hh
   exceptions.hh
   filteredcompositenode.hh
   filters.hh

=== debian/changelog ===
dune-typetree (2.9.0-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:46:38 +0200

dune-typetree (2.9.0-2) unstable; urgency=medium

  * d/control: Added Markus Blatt as uploader (with consent of Ansgar)
  * d: Install moved architecture independent pkgconfig file correctly.
  * Upload to unstable 

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 Jan 2023 23:23:12 +0100

dune-typetree (2.9.0-1) experimental; urgency=medium

  [ Markus Blatt ]
  * d/upstream: Added metadata file.
  * d/control: Depend on DUNE 2.9
  * New upstream release (2.9.0).

  [ Ansgar ]
  * d/control: set Standards-Version to 4.6.2 (no changes).

 -- Ansgar <ansgar@debian.org>  Sat, 07 Jan 2023 22:02:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: dune-typetree
 Section: libs
 Priority: optional
-Standards-Version: 4.5.0
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar <ansgar@debian.org>
+Standards-Version: 4.6.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-typetree
 Vcs-Git: https://salsa.debian.org/science-team/dune-typetree.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.8.0)
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.9.0)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -18,7 +19,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.8.0)
+ libdune-common-dev (>= 2.9.0)
 Suggests: libdune-typetree-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- typed tree template library (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-typetree 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# set up project
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-PDELab-exception
+
+cmake_minimum_required(VERSION 3.16)
 project("dune-typetree" C CXX)
-
-# general stuff
-cmake_minimum_required(VERSION 3.1.0)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
         "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
@@ -20,10 +20,13 @@
 
 # start a dune project with information from dune.module
 dune_project()
+dune_add_library(dunetypetree INTERFACE
+  EXPORT_NAME TypeTree
+  LINK_LIBRARIES Dune::Common)
 
 add_subdirectory(doc)
 add_subdirectory(dune)
 add_subdirectory(test)
 
 # finalize the dune project, e.g. generating config.h etc.
-finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
+finalize_dune_project()

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-PDELab-exception

add_subdirectory(doxygen)

=== dune/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-PDELab-exception

add_subdirectory(typetree)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-PDELab-exception
+
 exclude_from_headercheck(
   typetreetargetnodes.hh
   typetreetestswitch.hh

=== doc/doxygen/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-PDELab-exception

# Create and install doxygen documentation
add_doxygen_target()

=== dune/typetree/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-PDELab-exception
+
 install(FILES
   accumulate_static.hh
   childextraction.hh

=== debian/changelog ===
dune-typetree (2.10.0-1) unstable; urgency=medium

  * New upstream release 2.10.0
  * d/control: Bumped Standards version to 4.7.0 (no changes)
  * d/control: Depend on pkgconf instead of deprecated pkgconfig
  * d/control: Depend on DUNE 2.10
  * added debian/watch file

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 14 Nov 2024 21:30:42 +0100

dune-typetree (2.10~pre20240905-1) experimental; urgency=medium

  * New upstream release (2.10~pre20240905).
  * d/control: BUmped Standards version to 4.7.0 (no changes)
  * d/control: Depend on pkgconf instead of deprecated pkgconfig
  * d/control: Depend on DUNE 2.10
  * added debian/watch file

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 22 Oct 2024 00:05:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: dune-typetree
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.7.0
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-typetree
 Vcs-Git: https://salsa.debian.org/science-team/dune-typetree.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.9.0)
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
+ libdune-common-dev (>= 2.10~)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -19,7 +18,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.9.0)
+ libdune-common-dev (>= 2.10~)
 Suggests: libdune-typetree-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- typed tree template library (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-typetree 2.11.0~git20251211

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 # SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-PDELab-exception
+
+link_libraries(Dune::TypeTree)
 
 exclude_from_headercheck(
   typetreetargetnodes.hh
@@ -27,6 +29,4 @@
 
 dune_add_test(SOURCES testcallbacktraversal.cc)
 
-dune_add_test(SOURCES testhybridtreepath.cc)
-
 dune_add_test(SOURCES testtreecontainer.cc)

=== debian/changelog ===
dune-typetree (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/control: Depend on DUNE packages >= 2.11.0~.

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 17:51:18 +0100

## dune-typetree 2.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,11 +18,23 @@
 #include the dune macros
 include(DuneMacros)
 
+# deactivate global include-directories
+dune_policy(SET DP_DEFAULT_INCLUDE_DIRS NEW)
+
+# deactivate global calls to add_dune_all_flags in tests
+dune_policy(SET DP_TEST_ADD_ALL_FLAGS NEW)
+
+# deactivate suggested module dependencies being required
+dune_policy(SET DP_SUGGESTED_MODULE_DEPENDENCIES_REQUIRED_DOWNSTREAM NEW)
+
 # start a dune project with information from dune.module
 dune_project()
 dune_add_library(dunetypetree INTERFACE
   EXPORT_NAME TypeTree
   LINK_LIBRARIES Dune::Common)
+
+# set include directories for dunetypetree library
+dune_default_include_directories(dunetypetree INTERFACE)
 
 add_subdirectory(doc)
 add_subdirectory(dune)

=== debian/changelog ===
dune-typetree (2.11.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.10.0
  * Added debian/gdb.conf for dep-14 branch name convention
  * Added config for salsa CI

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 28 Jan 2026 19:56:32 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
- libdune-common-dev (>= 2.10~)
+ libdune-common-dev (>= 2.11.0~)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.10~)
+ libdune-common-dev (>= 2.11.0~)
 Suggests: libdune-typetree-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- typed tree template library (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
